Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.json.parser
Interface JsonParserConstants

All Known Implementing Classes:
  JSONParser, JsonParserTokenManager

    public interface JsonParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `CHAR` RegularExpression Id.
`static int` | `CNTRL_ESC` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DIGITS` RegularExpression Id.
`static int` | `DOUBLE_QUOTE_LITERAL` RegularExpression Id.
`static int` | `E` RegularExpression Id.
`static int` | `ENDQUOTE` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `ESC_STATE` Lexical state.
`static int` | `ESCAPE_CHAR` RegularExpression Id.
`static int` | `HEX` RegularExpression Id.
`static int` | `HEX_CHAR` RegularExpression Id.
`static int` | `HEX_ESC` RegularExpression Id.
`static int` | `HEX_STATE` Lexical state.
`static int` | `QUOTE` RegularExpression Id.
`static int` | `SINGLE_QUOTE_LITERAL` RegularExpression Id.
`static int` | `STRING_STATE` Lexical state.
`static String[]` | `tokenImage` Literal token values.
`static int` | `UNICODE_CHAR` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### E

    static final int E

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIGITS

    static final int DIGITS

  RegularExpression Id.

  See Also:
    Constant Field Values

### HEX_CHAR

    static final int HEX_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### UNICODE_CHAR

    static final int UNICODE_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### ESCAPE_CHAR

    static final int ESCAPE_CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### SINGLE_QUOTE_LITERAL

    static final int SINGLE_QUOTE_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOUBLE_QUOTE_LITERAL

    static final int DOUBLE_QUOTE_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUOTE

    static final int QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ENDQUOTE

    static final int ENDQUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### CHAR

    static final int CHAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### CNTRL_ESC

    static final int CNTRL_ESC

  RegularExpression Id.

  See Also:
    Constant Field Values

### HEX

    static final int HEX

  RegularExpression Id.

  See Also:
    Constant Field Values

### HEX_ESC

    static final int HEX_ESC

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### STRING_STATE

    static final int STRING_STATE

  Lexical state.

  See Also:
    Constant Field Values

### ESC_STATE

    static final int ESC_STATE

  Lexical state.

  See Also:
    Constant Field Values

### HEX_STATE

    static final int HEX_STATE

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final String[] tokenImage

  Literal token values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project